#ifdef MEDIA529_F20E_F20J_X30J_P20JA_P20JB_I34E_I34M_A36M_A31E_A31M_A33M_A35E_A35M_F31E_F31J_X31J_P31J
void F0731_InvertZone(
int16_t P2215_i_ZoneIndex FINAL_SEPARATOR
{
        int16_t L2870_ai_XYZ[4];


#ifdef MEDIA496_F20E_F20J_P20JA_P20JB_I34E_I34M_F31E_F31J_P31J
        F0638_GetZone(P2215_i_ZoneIndex, L2870_ai_XYZ);
#endif
#ifdef MEDIA613_X30J_A36M_A31E_A31M_A33M_A35E_A35M_X31J
        if (F0638_GetZone(P2215_i_ZoneIndex, L2870_ai_XYZ)) {
#endif
#ifdef MEDIA508_F20E_F20J_X30J_P20JA_P20JB
                F0698_InvertBox(M704_ZONE_LEFT(L2870_ai_XYZ), M705_ZONE_RIGHT(L2870_ai_XYZ), M706_ZONE_TOP(L2870_ai_XYZ), M707_ZONE_BOTTOM(L2870_ai_XYZ));
#endif
#ifdef MEDIA720_I34E_I34M_A36M_A31E_A31M_A33M_A35E_A35M_F31E_F31J_X31J_P31J
                F0698_InvertBox(L2870_ai_XYZ);
#endif
#ifdef MEDIA613_X30J_A36M_A31E_A31M_A33M_A35E_A35M_X31J
        }
#endif
}
#endif
